This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165076 - diskboot.img doesn't work with USB pen drive on IBM T42
diskboot.img doesn't work with USB pen drive on IBM T42
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 00:48 EDT by Saikat Guha
Modified: 2009-01-09 01:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:53:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saikat Guha 2005-08-04 00:48:15 EDT
Tried for following:

A) dd if=diskboot.img of=/dev/sda

On boot: it says "Boot failed".

B) 1. created partition table with one entry (bootable) of type FAT16 
      spanning the whole disk
   2. dd if=diskboot.img of=/dev/sda1

On boot: it hangs with no message or activity 
         (screen is blank with cursor at top-left corner)

Doesn't seem to be a BIOS problem since if the parition entry is not marked
bootable, the BIOS complains loudly; if it is marked bootable it seems to be ok
with it and proceeds. Note that "Boot failed" (from case A above) is the error
string in the boot sector of diskboot.img ... so the BIOS is reading the boot
sector just fine and running it.
Comment 1 Christian Iseli 2007-01-22 05:34:37 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Neil Hall 2008-01-25 17:30:07 EST
This bug has been reproduced using Fedora F8 on a Thinkpad T43.

The symptoms are identical to those referenced in the first report of this bug,
with the exception that the error message returned is "Boot error". An
examination of the first sector of the pen drive (hexedit /dev/sdc) reveals this
string near the end of the boot code.

The USB device that I'm using is Micro-SD based.

Hope this helps...
Comment 3 Bug Zapper 2008-11-26 01:52:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:53:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.